package kz.project.printedFormsService.service;

import org.springframework.web.multipart.MultipartFile;
import reactor.core.publisher.Mono;

public interface GitlabClient {
    Mono<byte[]> downloadFileFromGitLab(String projectName, String filePath, String branch);

    Mono<String> downloadFileContentAsString(String projectName, String filePath, String branch);

    MultipartFile downloadFileAsMultipartFile(String projectName, String filePath, String branch);
}
